<template>
	<view class="">
		<u-navbar
			:title="title"
			:autoBack="true"
			 :safeAreaInsetTop="true"
		>
		</u-navbar>
		<!-- <view class="title">积分规则</view> -->
		<view class="page-wrap">
			<u-parse :content="content"></u-parse>
		</view>
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				title:'',
				regulationName:'',
				content:'',
			}
		},
		onShow() {	
			
		},
		onLoad(page) {
			this.title = page.regulationName;;
			this.regulationName = page.regulationName;
			// console.log('page',page);
			this.getPageData();
		},
		methods: {
			getPageData(){
				this.$u.api.memberCreditDesc({type:1,name:this.regulationName}).then(res=>{
					this.content = res.data.content
					console.log('res',res.data);
				}).catch(err=>{
					console.log('memberCreditDesc',err);
				})
			}

		}
	}
</script>
<style>
page{
	background-color: #f5f5f5;
}
</style>
<style lang="scss" scoped>
.title{
	text-align: center;
}
</style>